### Enumeration

# GLib UriHideFlags

since: 2.66

#### Declaration

    flags GLib.UriHideFlags

#### Description [src]

Flags describing what parts of the URI to hide in g_uri_to_string_partial(). Note that `G_URI_HIDE_PASSWORD` and `G_URI_HIDE_AUTH_PARAMS` will only work if the `GUri` was parsed with the corresponding flags.

Available since: 2.66

#### Members

`G_URI_HIDE_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.66
`G_URI_HIDE_USERINFO`

  Hide the userinfo.

  - Value: `1`
  - Available since: 2.66
`G_URI_HIDE_PASSWORD`

  Hide the password.

  - Value: `2`
  - Available since: 2.66
`G_URI_HIDE_AUTH_PARAMS`

  Hide the auth_params.

  - Value: `4`
  - Available since: 2.66
`G_URI_HIDE_QUERY`

  Hide the query.

  - Value: `8`
  - Available since: 2.66
`G_URI_HIDE_FRAGMENT`

  Hide the fragment.

  - Value: `16`
  - Available since: 2.66